import React from 'react';
import '../../assets/styles/reset.css';
import '../../assets/styles/variables.css';
import './BooleanCell.css';
export interface BooleanCellProps {
    label: string;
    value?: boolean;
    onChange: (value: boolean) => void;
    isDisabled?: boolean;
    isRequired?: boolean;
    errorText?: string;
}
declare const BooleanCell: React.FC<BooleanCellProps>;
export default BooleanCell;
