import React from 'react';
import { Position } from '../../helpers/position-coordinates';
import '../../assets/styles/reset.css';
import '../../assets/styles/variables.css';
import './Dropdown.css';
export interface ViewPortDelta {
    top?: number;
    bottom?: number;
}
export interface DropdownProps {
    children: React.ReactNode;
    toggle: React.ReactNode;
    position?: Position;
    width?: string;
    height?: string;
    maxHeight?: string;
    isDisabled?: boolean;
    isOpen?: boolean;
    onOpen?: () => void;
    onClose?: () => void;
    dataTestidSuffix?: string;
    isToggleAllWidthNeeded?: boolean;
    viewPortDelta?: ViewPortDelta;
    onOptionsHeightCalculated?: (height: number) => void;
}
declare const Dropdown: React.FC<DropdownProps>;
export default Dropdown;
