import React, { MouseEventHandler } from 'react';
import '../../assets/styles/reset.css';
import '../../assets/styles/variables.css';
import './IconButton.css';
declare enum Icons {
    'edit' = "edit",
    'delete' = "delete",
    'three-dot' = "three-dot",
    'gear' = "gear",
    'chevronLeft' = "chevronLeft",
    'chevronRight' = "chevronRight",
    'popout' = "popout",
    'close' = "close"
}
declare type IconType = keyof typeof Icons;
export interface IconButtonProps {
    className?: string;
    onClick?: MouseEventHandler;
    icon: IconType;
    isBackgroundVisible?: boolean;
    dataTestidSuffix?: string;
}
declare const IconButton: React.FC<IconButtonProps>;
export default IconButton;
