import React, { MouseEvent } from 'react';
import { ThreeDotButtonDropdownItem } from '../ThreeDotButtonDropdown/ThreeDotButtonDropdown';
import '../../assets/styles/reset.css';
import '../../assets/styles/variables.css';
import './ItemCard.css';
export interface ItemCardProps {
    title: string;
    icon?: React.ReactNode;
    menuItems?: ThreeDotButtonDropdownItem[];
    children: React.ReactNode;
    width?: string;
    className?: string;
    onClick?: (event: MouseEvent) => void;
}
declare const ItemCard: React.FC<ItemCardProps>;
export default ItemCard;
