import React from 'react';
import '../../assets/styles/reset.css';
import '../../assets/styles/variables.css';
import './NumberCell.css';
export interface NumberCellProps {
    label: string | React.ReactNode;
    value: string;
    onChange: (value: string) => void;
    onTrashIconClick?: () => void;
    errorText?: string;
    isRequired?: boolean;
    isDisabled?: boolean;
}
declare const NumberCell: React.FC<NumberCellProps>;
export default NumberCell;
