import React from 'react';
import '../../assets/styles/reset.css';
import '../../assets/styles/variables.css';
import './Select.css';
export interface SelectItem {
    label: string;
    key: string;
    isDisabled?: boolean;
}
export interface SelectProps {
    options: SelectItem[];
    title?: string | React.ReactNode;
    placeholder?: string;
    isOpen?: boolean;
    onSelectValue: (value: SelectItem) => void;
    autoWidth?: boolean;
    value?: SelectItem | null;
    errorText?: string;
    isRequired?: boolean;
    isDisabled?: boolean;
    widthDropdownChildren?: string;
}
declare const Select: React.FC<SelectProps>;
export default Select;
