import React from 'react';
import '../../assets/styles/reset.css';
import '../../assets/styles/variables.css';
import './Tabs.css';
export declare type Tab = {
    label: string;
    key: string;
};
export interface TabsProps {
    tabs: Tab[];
    isSelected: string;
    onClick(key: string): void;
    className?: string;
}
declare const Tabs: React.FC<TabsProps>;
export default Tabs;
