import React from 'react';
import '../../assets/styles/reset.css';
import '../../assets/styles/variables.css';
import './TextArea.css';
export interface TextAreaProps {
    label: string;
    value?: string;
    errorText?: string;
    isDisabled?: boolean;
    placeholder?: string;
    rows?: number;
    onChange?: (value: string) => void;
    onClick?: () => void;
    onBlur?: (value: string) => void;
    onEnter?: (value: string) => void;
    isRequired?: boolean;
    autoFocus?: boolean;
    isControlledByParent?: boolean;
}
declare const TextArea: React.FC<TextAreaProps>;
export default TextArea;
