import React from 'react';
import '../../assets/styles/reset.css';
import '../../assets/styles/variables.css';
import './ThreeDotButtonDropdown.css';
export interface ThreeDotButtonDropdownItem {
    label: React.ReactNode;
    key: string;
    autoClose?: boolean;
    onClick: (key: string) => void;
}
export interface ThreeDotButtonDropdownProps {
    items: ThreeDotButtonDropdownItem[];
}
declare const ThreeDotButtonDropdown: React.FC<ThreeDotButtonDropdownProps>;
export default ThreeDotButtonDropdown;
