import React, { CSSProperties } from 'react';
import { Position } from '../../helpers/position-coordinates';
import '../../assets/styles/reset.css';
import '../../assets/styles/variables.css';
import './Tooltip.css';
export interface TooltipProps {
    position?: Position;
    content: React.ReactNode;
    children: React.ReactNode;
    width?: string;
    className?: string;
    onActive?: (value: boolean) => void;
    style?: CSSProperties;
    delay?: number;
}
declare const Tooltip: React.FC<TooltipProps>;
export default Tooltip;
