export declare type Position = 'top' | 'top-right' | 'top-left' | 'bottom' | 'bottom-right' | 'bottom-left' | 'bottom-right-border' | 'bottom-left-border' | 'top-right-border' | 'top-left-border';
export interface Coordinates {
    top?: string;
    right?: string;
    bottom?: string;
    left?: string;
}
export declare const getPositionCoordinates: (position: Position | undefined, bodyWidth?: number, bodyHeight?: number, toggleWidth?: number, isDropdown?: boolean | undefined) => Coordinates;
