import React from 'react';
import '../../assets/styles/reset.css';
import '../../assets/styles/variables.css';
import './Button.css';
declare type ButtonVariantTypes = 'primary' | 'secondary' | 'tertiary';
declare type ButtonTypes = 'submit' | 'reset' | 'button';
export interface ButtonProps {
    label: string | React.ReactNode;
    variant?: ButtonVariantTypes;
    type?: ButtonTypes;
    isDisabled?: boolean;
    isBgVisible?: boolean;
    onClick?: () => void;
    className?: string;
}
declare const Button: React.ForwardRefExoticComponent<ButtonProps & React.RefAttributes<HTMLButtonElement>>;
export default Button;
