import React from 'react';
import 'react-datepicker/dist/react-datepicker.css';
import '../../assets/styles/reset.css';
import '../../assets/styles/variables.css';
import './DatePicker.css';
export interface DatePickerProps {
    defaultDate?: Date;
    onDateChange: (date: any) => void;
    onTrashIconClick?: () => void;
    isRequired?: boolean;
    label: string;
    placeholder?: string;
    errorText?: string;
}
declare const DatePicker: React.FC<DatePickerProps>;
export default DatePicker;
