import React from 'react';
import '../../assets/styles/reset.css';
import '../../assets/styles/variables.css';
import './DropdownToggle.css';
export interface DropdownToggleProps {
    title: string | React.ReactNode;
    value?: {
        label: string;
    } | null;
    errorText?: string;
    placeholder?: string;
    isDisabled?: boolean;
    autoWidth?: boolean;
    isRequired?: boolean;
    icon?: JSX.Element | undefined;
    onClick?: () => void;
}
declare const DropdownToggle: React.FC<DropdownToggleProps>;
export default DropdownToggle;
