import React from 'react';
import '../../assets/styles/reset.css';
import '../../assets/styles/variables.css';
import './FieldsConfigurator.css';
export interface FieldConfiguratorItem {
    label: string;
    key: string;
    isDisabled?: boolean;
    isSelected?: boolean;
}
export interface FieldConfigurator {
    label: string;
    key: string;
    expanded?: boolean;
    items: FieldConfiguratorItem[];
}
export interface FieldsConfiguratorProps {
    label?: string | React.ReactNode;
    options: FieldConfigurator[];
    className?: string;
    onChange?: (parentId: string, itemId: string, state: boolean) => void;
    isRequired?: boolean;
    errorText?: string;
}
declare const FieldsConfigurator: React.FC<FieldsConfiguratorProps>;
export interface AccordionItemProps {
    item: FieldConfiguratorItem;
    onChange: (key: string, state: boolean) => void;
}
export default FieldsConfigurator;
