import React from 'react';
import { ViewPortDelta } from '../Dropdown/Dropdown';
import '../../assets/styles/reset.css';
import '../../assets/styles/variables.css';
import './MultiselectDropdown.css';
export interface MultiselectDropdownItem {
    label: string;
    key: string;
    isDisabled?: boolean;
}
export interface MultiselectDropdownProps {
    items: MultiselectDropdownItem[];
    label: string;
    placeholder: string;
    isRequired?: boolean;
    errorText?: string;
    onChange: (keys: string[]) => void;
    viewPortDelta?: ViewPortDelta;
}
declare const MultiselectDropdown: React.FC<MultiselectDropdownProps>;
export default MultiselectDropdown;
