import React from 'react';
import { SearchableDropdownItem } from './SearchableDropdown';
import '../../assets/styles/reset.css';
import '../../assets/styles/variables.css';
import './SearchableDropdown.css';
export interface SearchableDropdownChildrenProps {
    title: string;
    options: SearchableDropdownItem[];
    searchText: string;
    onClickItem: (value: SearchableDropdownItem) => void;
    onSearchText?: (key: string) => void;
    onEnter?: (key: string) => void;
    onBlur?: (key: string) => void;
    icon?: JSX.Element;
    loader?: React.ReactNode;
    isLoading?: boolean;
    height?: string;
}
declare const SearchableDropdownChildren: React.FC<SearchableDropdownChildrenProps>;
export default SearchableDropdownChildren;
