import React from 'react';
import '../../assets/styles/reset.css';
import '../../assets/styles/variables.css';
import './TextCell.css';
export interface TextCellProps {
    label: string;
    value: string;
    onChange: (value: string) => void;
    errorText?: string;
    isDisabled?: boolean;
    isMultiline?: boolean;
}
declare const TextCell: React.FC<TextCellProps>;
export default TextCell;
