import React from 'react';
import '../../assets/styles/reset.css';
import '../../assets/styles/variables.css';
import './TextField.css';
export interface TextFieldProps {
    label: string | React.ReactNode;
    name?: string;
    value?: string;
    errorText?: string;
    isDisabled?: boolean;
    placeholder?: string;
    onChange?: (value: string) => void;
    onClick?: () => void;
    onBlur?: (value: string) => void;
    onEnter?: (value: string) => void;
    isRequired?: boolean;
    autoFocus?: boolean;
    isControlledByParent?: boolean;
}
declare const TextField: React.FC<TextFieldProps>;
export default TextField;
